OpenVDB 11.0.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
ConstantFolder< SignatureT, 0 > Struct Template Reference

`#include <openvdb_ax/codegen/ConstantFolding.h>`

## Static Public Member Functions
template<typename ... Tys>
static llvm::Value * | fold (const std::vector< llvm::Constant * > &args, const SignatureT &function, llvm::LLVMContext &C, Tys &&... ts)

## Member Function Documentation

## ◆ fold()

template<typename SignatureT >
template<typename ... Tys>

static llvm::Value * fold | ( | const std::vector< llvm::Constant * > & | args,
|  | const SignatureT & | function,
|  | llvm::LLVMContext & | C,
|  | Tys &&... | ts
| ) |  |
| inline static